> This page is for Applications Protection.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.humansecurity.com/llms.txt.

# Upload feedback

POST https://console.humansecurity.com/api/v1/account_defender/account/update_status
Content-Type: application/json

Define automated user status updates, resolve true positive or false positive cases, and create new incident (false negative) cases while adding your own comments.


Reference: https://docs.humansecurity.com/applications/reference/upload-feedback

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://console.humansecurity.com/api` (Version 1 of the API., default)
- `https://console.humansecurity.com/api` (Version 2 of the API.)

## Request

### Body (application/json)

This endpoint expects an object.

- `accountIds` (list of string, required)
- `attackType` (enum, required) — The attack type, where `fa` is a fake account attack and `ato` is an account takeover attack.
  - Allowed values: `fa`, `ato`
- `status` (enum, required) — The status of the attack.
  - Allowed values: `pending`, `resolved`
- `result` (enum, optional) — The resolution of the attack. **Required** when the status is set to `resolved`. The result definitions are: * `no_attack`: False positive * `resolved`: True positive * `manually_identified_and_resolved`: False negative, where the account has an incident in the **Resolved** tab in the portal until it is archived (14 days after creation) * `manually_identified`: False negative, where the account has an incident in the **Pending** tab in the portal until it is archived (14 days after creation)
  - Allowed values: `no_attack`, `resolved`, `manually_identified_and_resolved`, `manually_identified`
- `comment` (string, optional) — Free text

## Response

### 200

Success

## Errors

### 400 Bad Request Error

Bad request

- `any`

### 401 Unauthorized Error

Access token is missing or invalid

- `any`

## Examples

**Request**

```json
{
  "accountIds": [
    "accountId1",
    "accountId2"
  ],
  "attackType": "fa",
  "status": "resolved",
  "result": "no_attack"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://console.humansecurity.com/api/v1/account_defender/account/update_status"

payload = {
    "accountIds": ["accountId1", "accountId2"],
    "attackType": "fa",
    "status": "resolved",
    "result": "no_attack"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://console.humansecurity.com/api/v1/account_defender/account/update_status';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"accountIds":["accountId1","accountId2"],"attackType":"fa","status":"resolved","result":"no_attack"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://console.humansecurity.com/api/v1/account_defender/account/update_status"

	payload := strings.NewReader("{\n  \"accountIds\": [\n    \"accountId1\",\n    \"accountId2\"\n  ],\n  \"attackType\": \"fa\",\n  \"status\": \"resolved\",\n  \"result\": \"no_attack\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://console.humansecurity.com/api/v1/account_defender/account/update_status")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"accountIds\": [\n    \"accountId1\",\n    \"accountId2\"\n  ],\n  \"attackType\": \"fa\",\n  \"status\": \"resolved\",\n  \"result\": \"no_attack\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://console.humansecurity.com/api/v1/account_defender/account/update_status")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"accountIds\": [\n    \"accountId1\",\n    \"accountId2\"\n  ],\n  \"attackType\": \"fa\",\n  \"status\": \"resolved\",\n  \"result\": \"no_attack\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://console.humansecurity.com/api/v1/account_defender/account/update_status', [
  'body' => '{
  "accountIds": [
    "accountId1",
    "accountId2"
  ],
  "attackType": "fa",
  "status": "resolved",
  "result": "no_attack"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://console.humansecurity.com/api/v1/account_defender/account/update_status");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"accountIds\": [\n    \"accountId1\",\n    \"accountId2\"\n  ],\n  \"attackType\": \"fa\",\n  \"status\": \"resolved\",\n  \"result\": \"no_attack\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "accountIds": ["accountId1", "accountId2"],
  "attackType": "fa",
  "status": "resolved",
  "result": "no_attack"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://console.humansecurity.com/api/v1/account_defender/account/update_status")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```